Subject: Re: linux-next: Tree for Jun 25

From: "Yann E. MORIN" <[email-masked]>
Date: Tue, 25 Jun 2013 23:03:14 +0200

Sedat, All,

On 2013-06-25 11:26 +0200, Sedat Dilek spake thusly:
> On Tue, Jun 25, 2013 at 11:21 AM, Yann E. MORIN <[email-masked]> wrote:
> > On Tuesday 25 June 2013 10:55:20 Sedat Dilek wrote:
> >> Not sure what's going on, but I get this with today's Linux-Next.
> >> ( Yesterday's next-20130624 was OK. )
> >>
> >> $ LANG=C LC_ALL=C  yes "" | make oldconfig && LANG=C LC_ALL=C make
> >> silentoldconfig </dev/null
> > [--SNIP--]
> >> RapidIO support (RAPIDIO) [Y/n/?] y
> >>   IDT Tsi721 PCI Express SRIO Controller support (RAPIDIO_TSI721) [Y/n/?] y
> >>   Discovery timeout duration (seconds) (RAPIDIO_DISC_TIMEOUT) [30] 30
> >>   Enable RapidIO Input/Output Ports (RAPIDIO_ENABLE_RX_TX_PORTS) [N/y/?] n
> >>   DMA Engine support for RapidIO (RAPIDIO_DMA_ENGINE) [Y/n/?] y
> >>   RapidIO subsystem debug messages (RAPIDIO_DEBUG) [N/y/?] n
> >>   Enumeration method [M/y/?] (NEW) aborted!
> >>
> >> Console input/output is redirected. Run 'make oldconfig' to update
> >> configuration.
[--SNIP--]
> Bad bad bad Yann, didn't Marek told you to test always with...
> 
>     $ yes "" | make oldconfig; make silentoldconfig </dev/null

If you looked at the commit log, you'd see how I tested this:
    touch defconfig
    for(( i=0; i<10000; i++ )); do
        KCONFIG_ALLCONFIG=$(pwd)/defconfig make randconfig >/dev/null 2>&1
        make silentoldconfig </dev/null >/dev/null 2>&1 || break
    done

That is, 10 thousands random configurations, and none did exhibit the
problem. :-(

Which really means we need a comprehensive test-suite to kconfig.

> Anyway, have fun.

I would not call delving into the kconfig code 'fun'. ;-)

Regards,
Yann E. MORIN.

-- 
.-----------------.--------------------.------------------.--------------------.
|  Yann E. MORIN  | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software  Designer | \ / CAMPAIGN     |  ___               |
| +33 223 225 172 `------------.-------:  X  AGAINST      |  \e/  There is no  |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL    |   v   conspiracy.  |
'------------------------------^-------^------------------^--------------------'